> This page is for API Reference, version v0 (default).
> For other versions, use one of these documentation indexes:
> - v0 (default): https://docs.credal.ai/api-reference/v-0/llms.txt
> - v1: https://docs.credal.ai/api-reference/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.credal.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.credal.ai/_mcp/server.

# Create Conversation

POST https://api.credal.ai/api/v0/copilots/createConversation
Content-Type: application/json

OPTIONAL. Create a new conversation with the Agent. The conversation ID can be used in the `sendMessage` endpoint. The `sendMessage` endpoint automatically creates new conversations upon first request, but calling this endpoint can simplify certain use cases where it is helpful for the application to have the conversation ID before the first message is sent.

Reference: https://docs.credal.ai/api-reference/api-reference/copilots/create-conversation

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `agentId` (UUID, required) — Credal-generated Agent ID to specify which agent to route the request to.
- `userEmail` (string, required) — End-user for the conversation.

## Response

### 200

- `conversationId` (UUID, required)

## Examples

**Request**

```json
{
  "agentId": "82e4b12a-6990-45d4-8ebd-85c00e030c24",
  "userEmail": "ravin@credal.ai"
}
```

**Response**

```json
{
  "conversationId": "ac20e6ba-0bae-11ef-b25a-efca73df4c3a"
}
```